<?php
namespace Ak\Mailchimp\Hydrator\Entity\MailingList;

use Ak\Hydrator\CompositeHydrator;
use DateTime;
use Laminas\Hydrator\ClassMethods;
use Laminas\Hydrator\ClassMethodsHydrator;
use Laminas\Hydrator\Reflection;
use Laminas\Hydrator\ReflectionHydrator;
use Laminas\Hydrator\Strategy\DateTimeFormatterStrategy;

/**
 * Hidrira statistike mailing liste.
 *
 * @package Ak\Mailchimp\Hydrator\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class StatsHydrator extends CompositeHydrator
{
    /**
     * Konstruktor.
     */
    public function __construct()
    {
        parent::__construct(new ReflectionHydrator(), new ClassMethodsHydrator());

        $datetimeStrategy = new DateTimeFormatterStrategy(DateTime::ISO8601);

        $this->addStrategy('campaign_last_sent', $datetimeStrategy);
        $this->addStrategy('last_sub_date', $datetimeStrategy);
        $this->addStrategy('last_unsub_date', $datetimeStrategy);
    }
}
