<?php
namespace Ak\Mailchimp\Hydrator\Response;

use Ak\Hydrator\CompositeHydrator;
use Ak\Mailchimp\Entity\MailingList;
use Ak\Mailchimp\Hydrator\Entity\MailingListHydrator;
use Laminas\Hydrator\ClassMethods;
use Laminas\Hydrator\ClassMethodsHydrator;
use Laminas\Hydrator\Reflection;
use Laminas\Hydrator\ReflectionHydrator;
use Laminas\Hydrator\Strategy\CollectionStrategy;

/**
 * Hidrira odgovore za GET lists.
 *
 * @package Ak\Mailchimp\Hydrator\Response
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class GetListsHydrator extends CompositeHydrator
{
    public function __construct()
    {
        parent::__construct(new ReflectionHydrator(), new ClassMethodsHydrator());

        $this->addStrategy('lists', new CollectionStrategy(new MailingListHydrator(), MailingList::class));
    }
}
